// python wrapper for vtkInteractorStyle3D
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkInteractorStyle3D.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkInteractorStyle3D(PyObject *dict); }
extern "C" { PyObject *PyvtkInteractorStyle3D_ClassNew(); }

#ifndef DECLARED_PyvtkInteractorStyle_ClassNew
extern "C" { PyObject *PyvtkInteractorStyle_ClassNew(); }
#define DECLARED_PyvtkInteractorStyle_ClassNew
#endif

static const char *PyvtkInteractorStyle3D_Doc =
  "vtkInteractorStyle3D - extends interaction to support 3D input\n\n"
  "Superclass: vtkInteractorStyle\n\n"
  "vtkInteractorStyle3D allows the user to interact with (rotate, pan,\n"
  "etc.) objects in the scene indendent of each other. It is designed to\n"
  "use 3d positions and orientations instead of 2D.\n\n"
  "The following interactions are specified by default.\n\n"
  "A click and hold in 3D within the bounding box of a prop will pick up\n"
  "that prop allowing you to translate and orient that prop as desired\n"
  "with the 3D controller.\n\n"
  "Click/dragging two controllers and pulling them apart or pushing them\n"
  "together will initial a scale gesture that will scale the world\n"
  "larger or smaller.\n\n"
  "Click/dragging two controllers and translating them in the same\n"
  "direction will translate the camera/world pushing them together will\n"
  "initial a scale gesture that will scale the world larger or smaller.\n\n"
  "If a controller is right clicked (push touchpad on Vive) then it\n"
  "starts a fly motion where the camer moves in the direction the\n"
  "controller is pointing. It moves at a speed scaled by the position of\n"
  "your thumb on the trackpad. Higher moves faster forward. Lower moves\n"
  "faster backwards.\n\n"
  "For the Vive left click is mapped to the trigger and right click is\n"
  "mapped to pushing the trackpad down.\n\n"
  "@sa\n"
  "vtkRenderWindowInteractor3D\n\n";


static PyObject *
PyvtkInteractorStyle3D_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkInteractorStyle3D::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkInteractorStyle3D::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkInteractorStyle3D *tempr = vtkInteractorStyle3D::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkInteractorStyle3D *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkInteractorStyle3D::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkInteractorStyle3D::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkInteractorStyle3D::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_PositionProp(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PositionProp");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  vtkEventData *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkEventData"))
  {
    if (ap.IsBound())
    {
      op->PositionProp(temp0);
    }
    else
    {
      op->vtkInteractorStyle3D::PositionProp(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_Dolly3D(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Dolly3D");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  vtkEventData *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkEventData"))
  {
    if (ap.IsBound())
    {
      op->Dolly3D(temp0);
    }
    else
    {
      op->vtkInteractorStyle3D::Dolly3D(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_SetDollyPhysicalSpeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDollyPhysicalSpeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetDollyPhysicalSpeed(temp0);
    }
    else
    {
      op->vtkInteractorStyle3D::SetDollyPhysicalSpeed(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_GetDollyPhysicalSpeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDollyPhysicalSpeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetDollyPhysicalSpeed() :
      op->vtkInteractorStyle3D::GetDollyPhysicalSpeed());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_SetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  vtkCamera *temp0 = nullptr;
  double temp1;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkCamera") &&
      ap.GetValue(temp1))
  {
    if (ap.IsBound())
    {
      op->SetScale(temp0, temp1);
    }
    else
    {
      op->vtkInteractorStyle3D::SetScale(temp0, temp1);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_GetInteractionPicker(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInteractionPicker");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkAbstractPropPicker *tempr = (ap.IsBound() ?
      op->GetInteractionPicker() :
      op->vtkInteractorStyle3D::GetInteractionPicker());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkInteractorStyle3D_SetInteractionPicker(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInteractionPicker");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkInteractorStyle3D *op = static_cast<vtkInteractorStyle3D *>(vp);

  vtkAbstractPropPicker *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAbstractPropPicker"))
  {
    if (ap.IsBound())
    {
      op->SetInteractionPicker(temp0);
    }
    else
    {
      op->vtkInteractorStyle3D::SetInteractionPicker(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkInteractorStyle3D_Methods[] = {
  {"IsTypeOf", PyvtkInteractorStyle3D_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nThis class must be supplied with a vtkRenderWindowInteractor\nwrapper or parent. This class should not normally be instantiated\nby application programmers.\n"},
  {"IsA", PyvtkInteractorStyle3D_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nThis class must be supplied with a vtkRenderWindowInteractor\nwrapper or parent. This class should not normally be instantiated\nby application programmers.\n"},
  {"SafeDownCast", PyvtkInteractorStyle3D_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkInteractorStyle3D\nC++: static vtkInteractorStyle3D *SafeDownCast(vtkObjectBase *o)\n\nThis class must be supplied with a vtkRenderWindowInteractor\nwrapper or parent. This class should not normally be instantiated\nby application programmers.\n"},
  {"NewInstance", PyvtkInteractorStyle3D_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkInteractorStyle3D\nC++: vtkInteractorStyle3D *NewInstance()\n\nThis class must be supplied with a vtkRenderWindowInteractor\nwrapper or parent. This class should not normally be instantiated\nby application programmers.\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkInteractorStyle3D_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nThis class must be supplied with a vtkRenderWindowInteractor\nwrapper or parent. This class should not normally be instantiated\nby application programmers.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkInteractorStyle3D_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nThis class must be supplied with a vtkRenderWindowInteractor\nwrapper or parent. This class should not normally be instantiated\nby application programmers.\n"},
  {"PositionProp", PyvtkInteractorStyle3D_PositionProp, METH_VARARGS,
   "V.PositionProp(vtkEventData)\nC++: virtual void PositionProp(vtkEventData *)\n\n"},
  {"Dolly3D", PyvtkInteractorStyle3D_Dolly3D, METH_VARARGS,
   "V.Dolly3D(vtkEventData)\nC++: virtual void Dolly3D(vtkEventData *)\n\n"},
  {"SetDollyPhysicalSpeed", PyvtkInteractorStyle3D_SetDollyPhysicalSpeed, METH_VARARGS,
   "V.SetDollyPhysicalSpeed(float)\nC++: virtual void SetDollyPhysicalSpeed(double _arg)\n\nSet/Get the maximum dolly speed used when flying in 3D, in meters\nper second. Default is 1.6666, corresponding to walking speed (=\n6 km/h). This speed is scaled by the touchpad position as well.\n"},
  {"GetDollyPhysicalSpeed", PyvtkInteractorStyle3D_GetDollyPhysicalSpeed, METH_VARARGS,
   "V.GetDollyPhysicalSpeed() -> float\nC++: virtual double GetDollyPhysicalSpeed()\n\nSet/Get the maximum dolly speed used when flying in 3D, in meters\nper second. Default is 1.6666, corresponding to walking speed (=\n6 km/h). This speed is scaled by the touchpad position as well.\n"},
  {"SetScale", PyvtkInteractorStyle3D_SetScale, METH_VARARGS,
   "V.SetScale(vtkCamera, float)\nC++: virtual void SetScale(vtkCamera *cam, double newScale)\n\nSet the scaling factor from world to physical space. In VR when\nwe set it to a new value we also adjust the HMD position to\nmaintain the same relative position.\n"},
  {"GetInteractionPicker", PyvtkInteractorStyle3D_GetInteractionPicker, METH_VARARGS,
   "V.GetInteractionPicker() -> vtkAbstractPropPicker\nC++: virtual vtkAbstractPropPicker *GetInteractionPicker()\n\nGet/Set the interaction picker. By default, a vtkPropPicker is\ninstancied.\n"},
  {"SetInteractionPicker", PyvtkInteractorStyle3D_SetInteractionPicker, METH_VARARGS,
   "V.SetInteractionPicker(vtkAbstractPropPicker)\nC++: void SetInteractionPicker(vtkAbstractPropPicker *prop)\n\nGet/Set the interaction picker. By default, a vtkPropPicker is\ninstancied.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkInteractorStyle3D_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRenderingCore.vtkInteractorStyle3D", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkInteractorStyle3D_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkInteractorStyle3D_StaticNew()
{
  return vtkInteractorStyle3D::New();
}

PyObject *PyvtkInteractorStyle3D_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkInteractorStyle3D_Type, PyvtkInteractorStyle3D_Methods,
    "vtkInteractorStyle3D",
 &PyvtkInteractorStyle3D_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkInteractorStyle_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkInteractorStyle3D(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkInteractorStyle3D_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkInteractorStyle3D", o) != 0)
  {
    Py_DECREF(o);
  }

}

