// java wrapper for vtkMolecule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMolecule.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkUndirectedGraph_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMolecule_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMolecule",dType)) { return me; }
  if ((res= vtkUndirectedGraph_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMolecule *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMolecule *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMolecule *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMolecule *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_Initialize_14(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetDataObjectType_15(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  int      temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetNumberOfAtoms_16(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  int      temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAtoms();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetNumberOfBonds_17(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  int      temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBonds();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetAtomAtomicNumber_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMolecule *op;
  int      temp0;
   unsigned short    temp20;
  temp0 = id0;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomAtomicNumber(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetAtomAtomicNumber_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMolecule *op;
  int      temp0;
   unsigned short    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAtomAtomicNumber(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetAtomPosition_110(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkMolecule *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAtomPosition(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetAtomPosition_111(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkMolecule *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAtomPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_GetAtomPosition_112(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkMolecule *op;
  int      temp0;
  float  temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->GetAtomPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetBondOrder_113(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMolecule *op;
  int      temp0;
   unsigned short    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBondOrder(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetBondOrder_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkMolecule *op;
  int      temp0;
   unsigned short    temp20;
  temp0 = id0;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondOrder(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMolecule_GetBondLength_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkMolecule *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondLength(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetAtomicPositionArray_116(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkPoints  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomicPositionArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetAtomicNumberArray_117(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkUnsignedShortArray  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomicNumberArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetBondOrdersArray_118(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkUnsignedShortArray  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondOrdersArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetElectronicData_119(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkAbstractElectronicData  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElectronicData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetElectronicData_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkAbstractElectronicData  *temp0;
  temp0 = (vtkAbstractElectronicData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetElectronicData(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMolecule_CheckedShallowCopy_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckedShallowCopy(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMolecule_CheckedDeepCopy_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckedDeepCopy(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_ShallowCopy_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_DeepCopy_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_ShallowCopyStructure_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_DeepCopyStructure_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_ShallowCopyAttributes_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopyAttributes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_DeepCopyAttributes_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopyAttributes(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMolecule_HasLattice_129(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  bool   temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasLattice();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_ClearLattice_130(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearLattice();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetLattice_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLattice(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetLattice_132(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkMatrix3x3  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLattice();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetAtomGhostArray_133(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomGhostArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_AllocateAtomGhostArray_134(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->AllocateAtomGhostArray();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetBondGhostArray_135(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondGhostArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_AllocateBondGhostArray_136(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->AllocateBondGhostArray();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_Initialize_137(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkMolecule *op;
  vtkPoints  *temp0;
  vtkDataArray  *temp1;
  vtkDataSetAttributes  *temp2;
  int      temp20;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Initialize(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_Initialize_138(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkMolecule *op;
  vtkPoints  *temp0;
  vtkDataSetAttributes  *temp1;
  int      temp20;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Initialize(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_Initialize_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  int      temp20;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Initialize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetData_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkInformation  *temp0;
  vtkMolecule  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetData_141(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkMolecule *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkMolecule  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetAtomData_142(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkDataSetAttributes  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetBondData_143(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkDataSetAttributes  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetBondId_144(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMolecule *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondId(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetAtomicNumberArrayName_145(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMolecule *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAtomicNumberArrayName(temp0);
  delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMolecule_GetAtomicNumberArrayName_146(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  char    *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomicNumberArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetBondOrdersArrayName_147(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMolecule *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBondOrdersArrayName(temp0);
  delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMolecule_GetBondOrdersArrayName_148(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  char    *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondOrdersArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetActualMemorySize_149(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
   unsigned long     temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMolecule_VTKInit(JNIEnv *, jobject)
{
  vtkMolecule *aNewOne = vtkMolecule::New();
  return (jlong)(size_t)(void*)aNewOne;
}
