// java wrapper for vtkStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamTracer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamTracer",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetStartPosition_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkStreamTracer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetStartPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkStreamTracer *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStreamTracer_GetStartPosition_16(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetSourceData_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamTracer_GetSource_18(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  vtkDataSet  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetSourceConnection_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrator_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkInitialValueProblemSolver  *temp0;
  temp0 = (vtkInitialValueProblemSolver *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamTracer_GetIntegrator_111(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  vtkInitialValueProblemSolver  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorType_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegratorType_113(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegratorType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta2_114(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta2();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta4_115(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta4();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta45_116(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta45();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorTypeToDataSetPointLocator_117(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorTypeToDataSetPointLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorTypeToCellLocator_118(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorTypeToCellLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumPropagation_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumPropagation_120(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationStepUnit_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationStepUnit_122(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInitialIntegrationStep_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStep(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetInitialIntegrationStep_124(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMinimumIntegrationStep_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMinimumIntegrationStep_126(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumIntegrationStep_127(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumIntegrationStep_128(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumError_129(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumError_130(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumNumberOfSteps_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetMaximumNumberOfSteps_132(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetTerminalSpeed_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminalSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetTerminalSpeed_134(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalSpeed();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStreamTracer_GetSurfaceStreamlines_135(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  bool   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSurfaceStreamlines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetSurfaceStreamlines_136(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStreamTracer *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSurfaceStreamlines(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SurfaceStreamlinesOn_137(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SurfaceStreamlinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SurfaceStreamlinesOff_138(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SurfaceStreamlinesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirection_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirectionMinValue_140(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirectionMaxValue_141(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirection_142(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToForward_143(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToBackward_144(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToBoth_145(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBoth();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetComputeVorticity_146(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStreamTracer *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeVorticity(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStreamTracer_GetComputeVorticity_147(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  bool   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeVorticity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetRotationScale_148(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRotationScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetRotationScale_149(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRotationScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorPrototype_150(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkAbstractInterpolatedVelocityField  *temp0;
  temp0 = (vtkAbstractInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorPrototype(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorType_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorType(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStreamTracer_VTKInit(JNIEnv *, jobject)
{
  vtkStreamTracer *aNewOne = vtkStreamTracer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
