// java wrapper for vtkNewickTreeWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNewickTreeWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNewickTreeWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNewickTreeWriter",dType)) { return me; }
  if ((res= vtkDataWriter_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNewickTreeWriter_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNewickTreeWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNewickTreeWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNewickTreeWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNewickTreeWriter_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNewickTreeWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNewickTreeWriter_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNewickTreeWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkNewickTreeWriter_GetInput_14(JNIEnv *env, jobject obj)
{
  vtkNewickTreeWriter *op;
  vtkTree  *temp20;

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkNewickTreeWriter_GetInput_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkNewickTreeWriter *op;
  int      temp0;
  vtkTree  *temp20;
  temp0 = id0;

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNewickTreeWriter_GetEdgeWeightArrayName_16(JNIEnv *env, jobject obj)
{
  vtkNewickTreeWriter *op;
  vtkStdString   temp20;

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWeightArrayName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNewickTreeWriter_SetEdgeWeightArrayName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNewickTreeWriter *op;
  vtkStdString   temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWeightArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNewickTreeWriter_GetNodeNameArrayName_18(JNIEnv *env, jobject obj)
{
  vtkNewickTreeWriter *op;
  vtkStdString   temp20;

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNodeNameArrayName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNewickTreeWriter_SetNodeNameArrayName_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNewickTreeWriter *op;
  vtkStdString   temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkNewickTreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNodeNameArrayName(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNewickTreeWriter_VTKInit(JNIEnv *, jobject)
{
  vtkNewickTreeWriter *aNewOne = vtkNewickTreeWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
