// java wrapper for vtkCompositeDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataSet",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_NewIterator_14(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetDataObjectType_15(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  int      temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_CopyStructure_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataSet  *temp0;
  temp0 = (vtkCompositeDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_SetDataSet_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSet(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_GetDataSet_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSet(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetActualMemorySize_19(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
   unsigned long     temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_GetData_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkInformation  *temp0;
  vtkCompositeDataSet  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_GetData_111(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkCompositeDataSet *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkCompositeDataSet  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_Initialize_112(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_ShallowCopy_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_DeepCopy_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetNumberOfPoints_115(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  int      temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetNumberOfCells_116(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  int      temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetNumberOfElements_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataSet *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfElements(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_GetBounds_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCompositeDataSet *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_NAME_119(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkInformationStringKey  *temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NAME();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_CURRENT_1PROCESS_1CAN_1LOAD_1BLOCK_120(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CURRENT_PROCESS_CAN_LOAD_BLOCK();
  return (jlong)(size_t)temp20;}
