// java wrapper for vtkImageData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageData",dType)) { return me; }
  if ((res= vtkDataSet_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyStructure_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetDataObjectType_15(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfCells_16(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfPoints_17(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetPoint_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageData *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetPoint_19(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkImageData *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetCell_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageData *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetCell_111(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkCell  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetCell_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageData *op;
  int      temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetCellBounds_113(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkImageData *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_FindPoint_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_FindPoint_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetCellType_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageData *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetCellPoints_117(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageData *op;
  int      temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetPointCells_118(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageData *op;
  int      temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_ComputeBounds_119(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetMaxCellSize_120(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_Initialize_121(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetDimensions_122(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetDimensions_123(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetDimensions_124(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int     *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetDimensions_125(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_ComputeStructuredCoordinates_126(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1,jdoubleArray id2)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,nullptr));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,nullptr));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeStructuredCoordinates(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetVoxelGradient_127(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jobject id3,jobject id4)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetVoxelGradient(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetPointGradient_128(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jobject id3,jdoubleArray id4)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkDataArray  *temp3;
  double temp4[3];
  void *tempArray4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,nullptr));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointGradient(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetDataDimension_129(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_ComputePointId_130(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputePointId(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_ComputeCellId_131(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeCellId(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetExtent_132(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetExtent_133(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetExtent_134(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int     *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarTypeMin_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  double   temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeMin(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarTypeMin_136(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  double   temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeMin();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarTypeMax_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  double   temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeMax(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarTypeMax_138(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  double   temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeMax();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetScalarSize_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetScalarSize_140(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarSize();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetIncrements_141(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int     *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncrements();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetIncrements_142(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetIncrements(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetIncrements_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataArray  *temp0;
  int     *temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncrements(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetIncrements_144(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkImageData *op;
  vtkDataArray  *temp0;
  int    temp1[3];
  void *tempArray1;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,nullptr));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetIncrements(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarComponentAsFloat_145(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float    temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarComponentAsFloat(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarComponentFromFloat_146(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jdouble id4)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float    temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarComponentFromFloat(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarComponentAsDouble_147(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarComponentAsDouble(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarComponentFromDouble_148(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jdouble id4)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarComponentFromDouble(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_AllocateScalars_149(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->AllocateScalars(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_AllocateScalars_150(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->AllocateScalars(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyAndCastFrom_151(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkImageData *op;
  vtkImageData  *temp0;
  int    temp1[6];
  void *tempArray1;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,nullptr));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAndCastFrom(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyAndCastFrom_152(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6)
{
  vtkImageData *op;
  vtkImageData  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAndCastFrom(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetActualMemorySize_153(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
   unsigned long     temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetSpacing_154(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  double  *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetSpacing_155(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetSpacing_156(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetOrigin_157(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  double  *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetOrigin_158(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetOrigin_159(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetDirectionMatrix_160(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  vtkMatrix3x3  *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirectionMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetDirectionMatrix_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetDirectionMatrix_162(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageData *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionMatrix(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetDirectionMatrix_163(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7,jdouble id8)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;
  temp8 = id8;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionMatrix(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetIndexToPhysicalMatrix_164(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  vtkMatrix4x4  *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexToPhysicalMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformContinuousIndexToPhysicalPoint_165(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdoubleArray id3)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double temp3[3];
  void *tempArray3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,nullptr));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformContinuousIndexToPhysicalPoint(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformContinuousIndexToPhysicalPoint_166(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformContinuousIndexToPhysicalPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformIndexToPhysicalPoint_167(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jdoubleArray id3)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  double temp3[3];
  void *tempArray3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,nullptr));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformIndexToPhysicalPoint(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformIndexToPhysicalPoint_168(JNIEnv *env, jobject obj,jintArray id0,jdoubleArray id1)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformIndexToPhysicalPoint(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformContinuousIndexToPhysicalPoint_169(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdoubleArray id3,jdoubleArray id4,jdoubleArray id5,jdoubleArray id6)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double temp3[3];
  void *tempArray3;
  double temp4[3];
  void *tempArray4;
  double temp5[9];
  void *tempArray5;
  double temp6[3];
  void *tempArray6;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,nullptr));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,nullptr));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,nullptr));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];
  temp5[2] = ((jdouble *)tempArray5)[2];
  temp5[3] = ((jdouble *)tempArray5)[3];
  temp5[4] = ((jdouble *)tempArray5)[4];
  temp5[5] = ((jdouble *)tempArray5)[5];
  temp5[6] = ((jdouble *)tempArray5)[6];
  temp5[7] = ((jdouble *)tempArray5)[7];
  temp5[8] = ((jdouble *)tempArray5)[8];
  tempArray6 = (void *)(env->GetDoubleArrayElements(id6,nullptr));
  temp6[0] = ((jdouble *)tempArray6)[0];
  temp6[1] = ((jdouble *)tempArray6)[1];
  temp6[2] = ((jdouble *)tempArray6)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformContinuousIndexToPhysicalPoint(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  ((jdouble *)tempArray5)[2] = temp5[2];
  ((jdouble *)tempArray5)[3] = temp5[3];
  ((jdouble *)tempArray5)[4] = temp5[4];
  ((jdouble *)tempArray5)[5] = temp5[5];
  ((jdouble *)tempArray5)[6] = temp5[6];
  ((jdouble *)tempArray5)[7] = temp5[7];
  ((jdouble *)tempArray5)[8] = temp5[8];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
  ((jdouble *)tempArray6)[0] = temp6[0];
  ((jdouble *)tempArray6)[1] = temp6[1];
  ((jdouble *)tempArray6)[2] = temp6[2];
  env->ReleaseDoubleArrayElements(id6,(jdouble *)tempArray6,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetPhysicalToIndexMatrix_170(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  vtkMatrix4x4  *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhysicalToIndexMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformPhysicalPointToContinuousIndex_171(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdoubleArray id3)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double temp3[3];
  void *tempArray3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,nullptr));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPhysicalPointToContinuousIndex(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformPhysicalPointToContinuousIndex_172(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPhysicalPointToContinuousIndex(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_ComputeIndexToPhysicalMatrix_173(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[9];
  void *tempArray2;
  double temp3[16];
  void *tempArray3;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,nullptr));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];
  temp2[4] = ((jdouble *)tempArray2)[4];
  temp2[5] = ((jdouble *)tempArray2)[5];
  temp2[6] = ((jdouble *)tempArray2)[6];
  temp2[7] = ((jdouble *)tempArray2)[7];
  temp2[8] = ((jdouble *)tempArray2)[8];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,nullptr));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp3[3] = ((jdouble *)tempArray3)[3];
  temp3[4] = ((jdouble *)tempArray3)[4];
  temp3[5] = ((jdouble *)tempArray3)[5];
  temp3[6] = ((jdouble *)tempArray3)[6];
  temp3[7] = ((jdouble *)tempArray3)[7];
  temp3[8] = ((jdouble *)tempArray3)[8];
  temp3[9] = ((jdouble *)tempArray3)[9];
  temp3[10] = ((jdouble *)tempArray3)[10];
  temp3[11] = ((jdouble *)tempArray3)[11];
  temp3[12] = ((jdouble *)tempArray3)[12];
  temp3[13] = ((jdouble *)tempArray3)[13];
  temp3[14] = ((jdouble *)tempArray3)[14];
  temp3[15] = ((jdouble *)tempArray3)[15];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeIndexToPhysicalMatrix(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  ((jdouble *)tempArray2)[4] = temp2[4];
  ((jdouble *)tempArray2)[5] = temp2[5];
  ((jdouble *)tempArray2)[6] = temp2[6];
  ((jdouble *)tempArray2)[7] = temp2[7];
  ((jdouble *)tempArray2)[8] = temp2[8];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  ((jdouble *)tempArray3)[3] = temp3[3];
  ((jdouble *)tempArray3)[4] = temp3[4];
  ((jdouble *)tempArray3)[5] = temp3[5];
  ((jdouble *)tempArray3)[6] = temp3[6];
  ((jdouble *)tempArray3)[7] = temp3[7];
  ((jdouble *)tempArray3)[8] = temp3[8];
  ((jdouble *)tempArray3)[9] = temp3[9];
  ((jdouble *)tempArray3)[10] = temp3[10];
  ((jdouble *)tempArray3)[11] = temp3[11];
  ((jdouble *)tempArray3)[12] = temp3[12];
  ((jdouble *)tempArray3)[13] = temp3[13];
  ((jdouble *)tempArray3)[14] = temp3[14];
  ((jdouble *)tempArray3)[15] = temp3[15];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformPhysicalNormalToContinuousIndex_174(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPhysicalNormalToContinuousIndex(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_TransformPhysicalPlaneToContinuousIndex_175(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkImageData *op;
  double temp0[4];
  void *tempArray0;
  double temp1[4];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,nullptr));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPhysicalPlaneToContinuousIndex(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarType_176(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageData *op;
  int      temp0;
  vtkInformation  *temp1;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarType(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetScalarType_177(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkImageData_HasScalarType_178(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  bool   temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasScalarType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetScalarType_179(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarType();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageData_GetScalarTypeAsString_180(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  const char    *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetNumberOfScalarComponents_181(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageData *op;
  int      temp0;
  vtkInformation  *temp1;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfScalarComponents(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfScalarComponents_182(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarComponents(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkImageData_HasNumberOfScalarComponents_183(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  bool   temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasNumberOfScalarComponents(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfScalarComponents_184(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyInformationFromPipeline_185(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyInformationFromPipeline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyInformationToPipeline_186(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyInformationToPipeline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_PrepareForNewData_187(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->PrepareForNewData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_ShallowCopy_188(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_DeepCopy_189(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetArrayIncrements_190(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkImageData *op;
  vtkDataArray  *temp0;
  int    temp1[3];
  void *tempArray1;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,nullptr));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetArrayIncrements(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetExtentType_191(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetData_192(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  vtkImageData  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetData_193(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkImageData *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkImageData  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageData_VTKInit(JNIEnv *, jobject)
{
  vtkImageData *aNewOne = vtkImageData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
