// java wrapper for vtkGaussianKernel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGaussianKernel.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkGeneralizedKernel_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGaussianKernel_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGaussianKernel",dType)) { return me; }
  if ((res= vtkGeneralizedKernel_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianKernel_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGaussianKernel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianKernel_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGaussianKernel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianKernel_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGaussianKernel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianKernel_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGaussianKernel *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianKernel_Initialize_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkGaussianKernel *op;
  vtkAbstractPointLocator  *temp0;
  vtkDataSet  *temp1;
  vtkPointData  *temp2;
  temp0 = (vtkAbstractPointLocator *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianKernel_ComputeWeights_15(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1,jobject id2,jobject id3)
{
  vtkGaussianKernel *op;
  double temp0[3];
  void *tempArray0;
  vtkIdList  *temp1;
  vtkDoubleArray  *temp2;
  vtkDoubleArray  *temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeWeights(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianKernel_SetSharpness_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGaussianKernel *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSharpness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianKernel_GetSharpnessMinValue_17(JNIEnv *env, jobject obj)
{
  vtkGaussianKernel *op;
  double   temp20;

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSharpnessMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianKernel_GetSharpnessMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkGaussianKernel *op;
  double   temp20;

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSharpnessMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianKernel_GetSharpness_19(JNIEnv *env, jobject obj)
{
  vtkGaussianKernel *op;
  double   temp20;

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSharpness();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianKernel_ComputeWeights_110(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1,jobject id2)
{
  vtkGaussianKernel *op;
  double temp0[3];
  void *tempArray0;
  vtkIdList  *temp1;
  vtkDoubleArray  *temp2;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGaussianKernel *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeWeights(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGaussianKernel_VTKInit(JNIEnv *, jobject)
{
  vtkGaussianKernel *aNewOne = vtkGaussianKernel::New();
  return (jlong)(size_t)(void*)aNewOne;
}
