// java wrapper for vtkVoxelGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVoxelGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVoxelGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVoxelGrid",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelGrid_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVoxelGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVoxelGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelGrid_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVoxelGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelGrid_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVoxelGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetConfigurationStyle_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkVoxelGrid *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConfigurationStyle(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelGrid_GetConfigurationStyle_15(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;
  int      temp20;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConfigurationStyle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetConfigurationStyleToManual_16(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConfigurationStyleToManual();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetConfigurationStyleToLeafSize_17(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConfigurationStyleToLeafSize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetConfigurationStyleToAutomatic_18(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConfigurationStyleToAutomatic();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetDivisions_19(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkVoxelGrid *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDivisions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetDivisions_110(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVoxelGrid *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDivisions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVoxelGrid_GetDivisions_111(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;
  int     *temp20;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDivisions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetLeafSize_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVoxelGrid *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeafSize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetLeafSize_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVoxelGrid *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeafSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVoxelGrid_GetLeafSize_114(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;
  double  *temp20;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeafSize();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetNumberOfPointsPerBin_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkVoxelGrid *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPointsPerBin(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelGrid_GetNumberOfPointsPerBinMinValue_116(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;
  int      temp20;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerBinMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelGrid_GetNumberOfPointsPerBinMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;
  int      temp20;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerBinMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoxelGrid_GetNumberOfPointsPerBin_118(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;
  int      temp20;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerBin();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoxelGrid_SetKernel_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVoxelGrid *op;
  vtkInterpolationKernel  *temp0;
  temp0 = (vtkInterpolationKernel *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVoxelGrid_GetKernel_120(JNIEnv *env, jobject obj)
{
  vtkVoxelGrid *op;
  vtkInterpolationKernel  *temp20;

  op = (vtkVoxelGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKernel();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVoxelGrid_VTKInit(JNIEnv *, jobject)
{
  vtkVoxelGrid *aNewOne = vtkVoxelGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
