// java wrapper for vtkReduceTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkReduceTable.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkReduceTable_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkReduceTable",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReduceTable_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReduceTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReduceTable_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReduceTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReduceTable_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReduceTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReduceTable_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReduceTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReduceTable_GetIndexColumn_14(JNIEnv *env, jobject obj)
{
  vtkReduceTable *op;
  int      temp20;

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexColumn();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReduceTable_SetIndexColumn_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkReduceTable *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndexColumn(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReduceTable_GetNumericalReductionMethod_16(JNIEnv *env, jobject obj)
{
  vtkReduceTable *op;
  int      temp20;

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumericalReductionMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReduceTable_SetNumericalReductionMethod_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkReduceTable *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumericalReductionMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReduceTable_GetNonNumericalReductionMethod_18(JNIEnv *env, jobject obj)
{
  vtkReduceTable *op;
  int      temp20;

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNonNumericalReductionMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReduceTable_SetNonNumericalReductionMethod_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkReduceTable *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNonNumericalReductionMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReduceTable_GetReductionMethodForColumn_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkReduceTable *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReductionMethodForColumn(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReduceTable_SetReductionMethodForColumn_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkReduceTable *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkReduceTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReductionMethodForColumn(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkReduceTable_VTKInit(JNIEnv *, jobject)
{
  vtkReduceTable *aNewOne = vtkReduceTable::New();
  return (jlong)(size_t)(void*)aNewOne;
}
