// java wrapper for vtkPolyDataItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataItem",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataItem_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataItem_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataItem_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolyDataItem_Paint_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataItem_SetPolyData_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataItem *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolyData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataItem_SetMappedColors_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataItem *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMappedColors(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataItem_GetPolyData_17(JNIEnv *env, jobject obj)
{
  vtkPolyDataItem *op;
  vtkPolyData  *temp20;

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataItem_SetPosition_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkPolyDataItem *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataItem_SetPosition_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolyDataItem *op;
  float  temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,nullptr));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataItem_SetScalarMode_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataItem *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataItem_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataItem *aNewOne = vtkPolyDataItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
