// java wrapper for vtkBezierHexahedron object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBezierHexahedron.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkHigherOrderHexahedron_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBezierHexahedron_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBezierHexahedron",dType)) { return me; }
  if ((res= vtkHigherOrderHexahedron_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierHexahedron_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierHexahedron *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierHexahedron_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierHexahedron *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierHexahedron_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierHexahedron *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierHexahedron_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBezierHexahedron *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBezierHexahedron_GetCellType_14(JNIEnv *env, jobject obj)
{
  vtkBezierHexahedron *op;
  int      temp20;

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierHexahedron_GetEdge_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkBezierHexahedron *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierHexahedron_GetFace_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkBezierHexahedron *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBezierHexahedron_SetRationalWeightsFromPointData_17(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkBezierHexahedron *op;
  vtkPointData  *temp0;
  int      temp1;
  temp0 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRationalWeightsFromPointData(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierHexahedron_GetRationalWeights_18(JNIEnv *env, jobject obj)
{
  vtkBezierHexahedron *op;
  vtkDoubleArray  *temp20;

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRationalWeights();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierHexahedron_getEdgeCell_19(JNIEnv *env, jobject obj)
{
  vtkBezierHexahedron *op;
  vtkHigherOrderCurve  *temp20;

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getEdgeCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierHexahedron_getFaceCell_110(JNIEnv *env, jobject obj)
{
  vtkBezierHexahedron *op;
  vtkHigherOrderQuadrilateral  *temp20;

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getFaceCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBezierHexahedron_getInterp_111(JNIEnv *env, jobject obj)
{
  vtkBezierHexahedron *op;
  vtkHigherOrderInterpolation  *temp20;

  op = (vtkBezierHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->getInterp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBezierHexahedron_VTKInit(JNIEnv *, jobject)
{
  vtkBezierHexahedron *aNewOne = vtkBezierHexahedron::New();
  return (jlong)(size_t)(void*)aNewOne;
}
