// java wrapper for vtkThreadedImageAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkThreadedImageAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkThreadedImageAlgorithm",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_IsTypeOf_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkThreadedImageAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkThreadedImageAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetNumberOfGenerationsFromBaseType_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkThreadedImageAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetNumberOfGenerationsFromBase_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkThreadedImageAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_ThreadedExecute_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jintArray id2,jint id3)
{
  vtkThreadedImageAlgorithm *op;
  vtkImageData  *temp0;
  vtkImageData  *temp1;
  int    temp2[6];
  void *tempArray2;
  int      temp3;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetIntArrayElements(id2,nullptr));
  temp2[0] = ((jint *)tempArray2)[0];
  temp2[1] = ((jint *)tempArray2)[1];
  temp2[2] = ((jint *)tempArray2)[2];
  temp2[3] = ((jint *)tempArray2)[3];
  temp2[4] = ((jint *)tempArray2)[4];
  temp2[5] = ((jint *)tempArray2)[5];
  temp3 = id3;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ThreadedExecute(temp0,temp1,temp2,temp3);
  ((jint *)tempArray2)[0] = temp2[0];
  ((jint *)tempArray2)[1] = temp2[1];
  ((jint *)tempArray2)[2] = temp2[2];
  ((jint *)tempArray2)[3] = temp2[3];
  ((jint *)tempArray2)[4] = temp2[4];
  ((jint *)tempArray2)[5] = temp2[5];
  env->ReleaseIntArrayElements(id2,(jint *)tempArray2,0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetEnableSMP_15(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  bool   temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableSMP();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetEnableSMP_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkThreadedImageAlgorithm *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableSMP(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetGlobalDefaultEnableSMP_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkThreadedImageAlgorithm *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobalDefaultEnableSMP(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetGlobalDefaultEnableSMP_18(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  bool   temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalDefaultEnableSMP();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetMinimumPieceSize_19(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkThreadedImageAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumPieceSize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetMinimumPieceSize_110(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkThreadedImageAlgorithm *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumPieceSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetMinimumPieceSize_111(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  int     *temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumPieceSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetDesiredBytesPerPiece_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkThreadedImageAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDesiredBytesPerPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetDesiredBytesPerPiece_113(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  int      temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDesiredBytesPerPiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetSplitMode_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkThreadedImageAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetSplitModeMinValue_115(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  int      temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetSplitModeMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  int      temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetSplitModeToSlab_117(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitModeToSlab();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetSplitModeToBeam_118(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitModeToBeam();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetSplitModeToBlock_119(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitModeToBlock();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetSplitMode_120(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  int      temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SetNumberOfThreads_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkThreadedImageAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetNumberOfThreadsMinValue_122(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  int      temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreadsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetNumberOfThreadsMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  int      temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreadsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_GetNumberOfThreads_124(JNIEnv *env, jobject obj)
{
  vtkThreadedImageAlgorithm *op;
  int      temp20;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedImageAlgorithm_SplitExtent_125(JNIEnv *env, jobject obj,jintArray id0,jintArray id1,jint id2,jint id3)
{
  vtkThreadedImageAlgorithm *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[6];
  void *tempArray1;
  int      temp2;
  int      temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,nullptr));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,nullptr));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];
  temp2 = id2;
  temp3 = id3;

  op = (vtkThreadedImageAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SplitExtent(temp0,temp1,temp2,temp3);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}
